{%- from "ceilometer/map.jinja" import server,agent,upgrade with context %}

ceilometer_task_service_running:
  test.show_notification:
    - text: "Running ceilometer.upgrade.service_running"

{%- set cservices = [] %}
{%- if server.enabled %}
  {%- do cservices.extend(server.services) %}
{%- endif %}
{%- if agent.enabled %}
  {%- do cservices.extend(agent.services) %}
{%- endif %}

{%- for cservice in cservices %}
ceilometer_service_running_{{ cservice }}:
  service.running:
  - name: {{ cservice }}
  - enable: True
{%- endfor %}
